
@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&family=Josefin+Sans:ital,wght@0,100..700;1,100..700&display=swap');

:root {
  /* --primary-color: #073827;
  --secondary-color: #dda086; */
  --primary-color: #002349;
  --secondary-color: #fbba02;
  --body-color: #363636;
  --white: #fff;
  --primary-light: hsl(from var(--primary-color) h s 96%);
  --light: hsl(from var(--secondary-color) h s 99%);
  --gradient: linear-gradient(45deg, var(--primary-color), hsl(from var(--primary-color) h s 30%));
  --secondary-gradient: linear-gradient(90deg, var(--secondary-color), color-mix(in srgb, var(--secondary-color), #fff));
  --serif: "Kugile", sans-serif;
  --sans: "Roboto", sans-serif;
  --facebook: #4267B2;
  --youtube: #FF0000;
  --whatsapp: #25D366;
  --instagram: #c92bb7;
  --linkedin: #0087e7;
  --header-height: 60px;
  --footer-height: 405px;
  --primary-radius: 10px;
  --swiper-navigation-size: 50px;
  --primary-padding: 6rem;
  --scale-px: max(0.5px,min(1px,calc(0.5px + 0.5 * ((100vw - 720px) / 720))));
}

::selection {
  background-color: var(--primary-light);
  color: var(--primary-color);
  text-shadow: 0px 4px 14px #000;
}

html{
  scroll-behavior: smooth;
}

.font-options{
  position: fixed;
  right: 0;
  top: 10%;
  transform: translateX(calc(100% - 50px));
  width: max-content;
  display: flex;
  flex-direction: column;
  gap: 5px;
  padding: 10px;
  background-color: #fff;
  border: 1px solid var(--primary-color);
  border-left: 5px solid var(--primary-color);
  z-index: 9999999;
  transition: all 300ms ease-in-out;
}

.font-options:hover{
  transform: translateX(0);
}

.font-options button.active {
  background-color: var(--primary-color);
  color: #fff;
  border-color: var(--primary-color);
}

body {
  /* min-height: 100vh; */
  background-color: var(--light);
  color: var(--body-color);
  font:400 1rem var(--sans);
  line-height: 1.625;
  overflow-x: hidden;
}


p {
  /* line-height: 1.5;
  letter-spacing: 0.5px;
  word-spacing: 1px; */
}

a{
  color: var(--body-color);
  text-decoration: none;
}

p a{
  text-decoration: dashed;
  text-underline-offset: .7rem;
}

a:hover {
  color: var(--primary-color);
}

.padding {
  padding-top: var(--primary-padding);
  padding-bottom: var(--primary-padding);
}

ul {
  padding-left: 0;
  margin-bottom: 0;
}

img, video, iframe, svg {
  width: 100%;
  display: block;
}

svg:not([fill]) {
  fill: currentColor;
}

.gap-row{
  row-gap: 30px;
}

.gap-form-row{
  row-gap: 10px;
}

.rounded{
  border-radius: var(--primary-radius) !important;
}

.ls-5{
  letter-spacing: 5px;
}

.object-cover {
  object-fit: cover;
}

.container-fluid{
    padding-left: 2rem;
    padding-right: 2rem;
}

.filter-white {
  -ms-filter: brightness(70);
  filter: brightness(70);
}

.filter-dark {
  -ms-filter: grayscale(1) brightness(0.5);
  filter: grayscale(1) brightness(0.5);
}

.skipBtn{
  position: absolute;
  z-index: 1;
}
.skipBtn.top-0{
  right: 1.5rem;
  margin-top: calc(var(--header-height) + 1rem);
}
.skipBtn.bottom-0{
  left: 1.5rem;
  margin-bottom: 1.5rem;
}

.hidden-title{
  word-break: keep-all;
  font-size: 10vw;
  letter-spacing: .4vw;
  opacity: 0.05;
  position: absolute;
  left: 0;
  width: 100%;
  text-align: center;
  font-weight: 800;
  text-transform: uppercase;
  pointer-events: none;
  z-index: -1;
}

.absolute-title{
  word-break: keep-all;
  font-size: clamp(3.5rem, 5.4vw, 10rem);
  letter-spacing: .4vw;
  line-height: 1;
  position: absolute;
  left: 0;
  top: 50%;
  width: 100%;
  transform: translateY(-50%);
  filter: opacity(0.1);
  writing-mode: sideways-lr;
  text-align: center;
  font-weight: 800;
  text-transform: uppercase;
  z-index: 20;
  pointer-events: none;
  white-space: nowrap;
}
.absolute-title.text-white{
  filter: opacity(0.4);
}

.bg-primary .absolute-title{
  filter: opacity(0.1);
}

[data-position="right"].absolute-title{
  left: auto;
  right: 0;
  writing-mode: sideways-rl;
}

/* hero gradient */
.hero__gradient {
  position: fixed;
  left: auto;
  top: auto;
  right: 0%;
  bottom: 0%;
  z-index: 2;
  width: 200em;
  height: 200em;
  margin-right: -135.7em;
  margin-bottom: -133.1em;
  background-image: radial-gradient(circle farthest-corner at 50% 50%, #5c31ff, rgba(92, 49, 255, 0) 69%);
  pointer-events: none;
  opacity: 0.9;
  z-index: -1;
}

.hero__gradient.is--other {
  width: 160em;
  height: 160em;
  margin-right: -40.6em;
  margin-bottom: -133.7em;
  background-image: radial-gradient(circle farthest-corner at 50% 50%, #f88cd4, rgba(248, 140, 212, 0) 69%);
  opacity: 0.73;
}
/* hero gradient */

.icon-circular{
  flex: 0 0 40px;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  font-size: 0.875rem;
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--primary-color);
  border: 1px solid;
  transition: all 300ms ease-in-out;
}

i.icon-circular:hover{
  background-color: var(--primary-color);
  color: var(--white);
}

.icon-circular.sm{
  flex: 0 0 30px;
  width: 30px;
  height: 30px;
  font-size: 12px;
}

.icon-circular.text-white:hover {
  background-color: var(--white);
  color: var(--primary-color) !important;
}

i svg{
  width: 16px;
}

.position-relative{
  z-index: 2;
}

.connecting-line{
  position: absolute;
  background-color: rgb(0 0 0 / 15%);
}

.connecting-line.verticle{
  bottom: 0;
  left: calc(50% - .5px);
  width: 1px;
  height: 60px;
  z-index: 1;
  pointer-events: none;
}

.props{
  width: 20%;
  pointer-events: none;
  -webkit-filter: opacity(0.125);
  filter: opacity(0.125);
}

.props.bottom-0{
  transform: translateY(10%);
}

.text-gradient{
  background: var(--gradient);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
.text-gray-gradient{
  background: var(--gray-gradient);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
.text-secondary-gradient{
  background: var(--secondary-gradient);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.text-justify{
  text-align: justify;
}

.text-revealing span {
  --reveal: 0%;
  display: inline-block;
  margin-right: 6px;

  background: linear-gradient(to right, #000 0%, #000 var(--reveal), rgba(0,0,0,0.2) var(--reveal));
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;

  transition: --reveal 0.15s linear;
}

.truncate {
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 2; /* number of lines to show */
  line-clamp: 2;
  -webkit-box-orient: vertical;
}
.truncate-3-lines {
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 3; /* number of lines to show */
  line-clamp: 3;
  -webkit-box-orient: vertical;
}

.borderline{
  width: 1px;
  background-color: var(--primary-color);
}

.verticle-title{
  position: absolute;
  bottom: 20%;
  left: 0;
  transform: translateX(-120%);
  color: var(--primary-color);
  font-weight: 600;
  font-size: .75rem;
  text-transform: uppercase;
  letter-spacing: 10px;
  text-wrap-mode: nowrap;
  writing-mode: sideways-lr;
}

.text-serif{
  font-family: var(--serif);
  /* font-weight: 800; */
  line-height: 1.5;
}

.text-sans{
  font-family: var(--sans);
}

.text-primary{
  color: var(--primary-color) !important;
}

.text-primary-light{
  color: color-mix(in srgb, var(--primary-color) 60%, var(--secondary-color) 60%) !important;
}

.text-secondary{
	color:var(--secondary-color) !important;
}
.text-secondary-light{
	color: color-mix(in srgb, var(--secondary-color), #fff 30%) !important;
}
.text-secondary-dark{
	color: color-mix(in srgb, var(--secondary-color), #000 20%) !important;
}

.text-dark{
  color: var(--body-color) !important;
}

.bg-primary{
  background-color: var(--primary-color) !important;
  color: var(--light);
}

.bg-primary-dark{
  background-color: color-mix(in srgb, var(--primary-color), #000 20%) !important;
}

.bg-primary-light{
	background-color: color-mix(in srgb, var(--primary-color), #fff 95%) !important;
}

.bg-secondary{
  background-color: var(--secondary-color) !important;
}

.bg-secondary-dark{
	background-color: color-mix(in srgb, var(--secondary-color), #000 20%) !important;
}
.bg-secondary-light{
	background-color: color-mix(in srgb, var(--secondary-color), #fff 95%) !important;
}

.bg-dark{
  background-color: var(--body-color) !important;
  color: #fff;
}

.bg-light{
  background-color: var(--light) !important;
}

.bg-texture{
  background-image: url(../images/props/texture.png);
}

.bg-signature {
    background: url(../images/props/signature-overlay.png) center / cover;
}

.bg-gradient{
  background-image: var(--gradient) !important;
  color: #fff;
}

.bg-waves::before{
  content: '';
  position: absolute;
  inset: 0;
  background: url(../images/props/waves-bg.svg) bottom / 100% repeat-x;
  opacity: 0.2;
}

.bg-image{
  background: center / cover no-repeat fixed;
}

.bg-overlay-gradient::before,
.bg-overlay::before,
.bg-image::before{
  content: '';
  position: absolute;
  inset: 0;
  z-index: -1;
}

.bg-image::before{
  background-color: rgb(0 0 0 / 75%);
}

.bg-image.overlay-light::before{
  background-color: rgb(0 0 0 / 45%);
}

.bg-overlay::before{
  z-index: 1;
  pointer-events: none;
  background-color: rgb(0 0 0 / 45%);
}

.bg-overlay-gradient::before{
  z-index: 1;
  pointer-events: none;
  background-image: linear-gradient(transparent 30%, rgb(0 0 0 / 55%));
}

.bg-circle::before{
  content: '';
  position: absolute;
  inset: 0;
  /* background: radial-gradient(circle at 50% -50%, var(--primary-color), var(--body-color)); */
  background-color: var(--primary-color);
  opacity: 0.1;
  clip-path: circle(60% at 0% 110%);
  z-index: -1;
  pointer-events: none;
}

.videoBtn{
  position: absolute;
  left: 50%;
  top: 50%;
  translate: -50% -50%;
  width: 40px;
  height: 40px;
  border: none;
  border-radius: 50%;
  background-color: var(--primary-color);
  color: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: all 300ms ease-in-out;
  animation: breathe 800ms alternate infinite;
  z-index: 1;
}

.videoBtn::before{
  content: '';
  position: absolute;
  inset: -10px;
  border-radius: 50%;
  box-shadow: 0 0 0 5px rgb(255 255 255 / 75%);
  background-image: radial-gradient(circle at 50% 50%, var(--primary-color) 40%, rgb(0 0 0 / 75%) 40%);
  z-index: -1;
  transition: all 300ms ease-in-out;
  transition-delay: 100ms;
  animation: breathe 800ms alternate infinite;
}

.videoBtn.bg-secondary::before{
  background-image: radial-gradient(circle at 50% 50%, var(--secondary-color) 40%, rgb(0 0 0 / 75%) 40%);
}

@keyframes breathe{
  0%{scale: 1;}
  100%{scale: 1.2;}
}

.videoBtn:hover{
  animation-play-state: paused;
}

.videoBtn:hover::before{
  animation-play-state: paused;
  border-color: #fff;
}


.scroller{
  overflow: auto;
  padding-right: 10px;
}

.scroller::-webkit-scrollbar {
  width: 5px;
  height: 5px;
}

/* Track */
.scroller::-webkit-scrollbar-track {
  box-shadow: inset 0 0 5px var(--white);
  border-radius: 10px;
}

/* Handle */
.scroller::-webkit-scrollbar-thumb {
  background: var(--secondary-color);
  border-radius: 10px;
}

/* Handle on hover */
.scroller::-webkit-scrollbar-thumb:hover {
  background: var(--light);
}

.title-circle{
  width: 200px;
  height: 200px;
  margin: auto auto 2rem;
  position: relative;
}

.title-circle .btn__border{
  display: block;
  height: 100%;
  left: 0;
  overflow: visible;
  position: absolute;
  top: 0;
  transform-origin: 50% 50%;
  transition-duration: .7s;
  transition-property: transform;
  transition-timing-function: cubic-bezier(.55, 0, .1, 1);
  width: 100%;
}

.title-circle.aos-animate .btn__border{
  transform: rotate(2turn);
}

.title-circle:hover .btn__border{
  transform: rotate(0turn) scale(1.06667);
}
.title-circle .btn__border rect{
  fill: none;
  height: calc(100% - 2px);
  width: calc(100% - 2px);
  rx: 50%;
  ry: 50%;
}

.title-circle .rounded-circle{
  border: 1px solid rgba(0, 0, 0, 0.075);
  display: block;
}

.title-circle .circle-text{
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-transform: uppercase;
  text-align: center;
  color: var(--body-color);
  font-size: 12px;
}

.headingContainer{
  margin-bottom: 1.5rem;
}

.headingContainer.d-flex{
  justify-content: space-between;
  align-items: center;
}

.heading-strip{
  color: var(--primary-color);
}

.heading {
  display: table;
  position: relative;
  margin-bottom: 2.5rem;
  z-index: 1;
}


.heading.hasline{
  --wd: 100px;
  padding-left: 1rem;
}

.heading.hasline::before{
  content: '';
  position: absolute;
  left: 0;
  bottom: 0;
  width: 1px;
  height: 100%;
  border-left: 1px solid var(--secondary-color);
}

/* .heading.hasline.mx-auto::before{
  left: calc(50% - (var(--wd) / 2));
} */

.heading.white.hasline::before{
  border-bottom-color: rgb(255 255 255 / 50%);
}

.heading .subheading{
    font-weight: 400;
    text-transform: uppercase;
    margin-bottom: 10px;
}

.heading h4, .heading h5 {
  line-height: 1.5;
}

.heading :is(.h1, .h2, h1, h2){
  color: var(--primary-color);
  /* font-weight: 800; */
}

.heading :is(.h1, .h2, .h3, .h4, .h5, h1, h2, h3, h4, h5){
  font-family: var(--serif);
}
.heading > img {
  width: 250px;
  aspect-ratio: 2/1;
  object-fit: contain;
  object-position: left;
  margin-bottom: 1.5rem;
}

.smallHeading{
  margin-bottom: 1.25rem;
}

.title-xxl{
  font-size: clamp(3rem, 7vw, 4.5rem);
}
.title-xl{
  font-size: clamp(2rem, 3.5vw, 3rem);
  font-weight: 300;
}

.viewmore {
  width: 100%;
  margin-top: 1.25rem;
}

.viewmore .button {
  max-width: fit-content;
  text-transform: uppercase;
  color: var(--secondary-color);
  font-size: .75rem;
  font-weight: 600;
  display: flex;
  gap: 10px;
  align-items: center;
}

.viewmore .button:hover {
  color: var(--primary-color) !important;
}

.bg-primary .viewmore .button:hover{
  color: var(--white) !important;
}
.viewmore .button.text-white:hover{
  color: var(--secondary-color) !important;
}

.readmore {
  width: 100%;
  margin-top: 2.5rem;
}

.readmore.d-flex{
  gap: 10px;
  flex-wrap: wrap;
}

.readmore .button {
  position: relative;
  z-index: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  padding: 0.75rem 1.5rem;
  min-width: 150px;
  border-radius: 100px;
  max-width: fit-content;
  color: var(--white);
  background-color: var(--primary-color);
  font-size: 0.875rem;
  font-weight: 600;
  text-align: center;
  text-transform: uppercase;
  transition: all ease-in-out 0.3s;
}

.readmore .button.button-sm {
  padding: 10px 1rem;
  min-width: 110px;
}

.readmore button {
  width: max-content;
  background: none;
  border: 0;
}

.readmore .button:hover,
.readmore .button.inverse {
  color: var(--secondary-color);
  box-shadow: 0 10px 2rem color-mix(in srgb, var(--primary-color) 50%, transparent);
}

.readmore .button span{
  transform: translateX(11px);
  transition: all ease-in-out 0.3s;
}

.readmore .button:hover span{
  transform: translateX(0px);
}

.viewmore .button i,
.readmore .button i{
  aspect-ratio: 1;
  border-radius: 50%;
  width: 16px;
  transition: all ease-in-out 0.3s;
}
.bg-primary .viewmore .button i,
.readmore .button i{
  box-shadow: 0 0 0 6px var(--white) inset;
}
.readmore .button.bg-white:hover i,
.readmore .button.stroke i,
.viewmore .button i{
  box-shadow: 0 0 0 6px var(--primary-color) inset;
}

.viewmore .button:hover i,
.readmore .button:hover i{
  transform: translateX(4px);
  box-shadow: 0 0 0 6px var(--secondary-color) inset;
}

.viewmore .button.text-white i{
  box-shadow: 0 0 0 6px var(--secondary-color) inset;
}

.viewmore .button.text-white:hover i{
  box-shadow: 0 0 0 6px var(--white) inset;
}

.readmore .button.stroke{
  background: none;
  border: 1px solid rgb(0 0 0);
  color: var(--body-color);
}

.readmore .button.stroke:hover{
  background: var(--primary-color);
  color: #fff;
  border-color: transparent;
}

.readmore .button.stroke-secondary{
  border: 1px solid var(--secondary-color);
  color:#fff;
}

.readmore .button.stroke-secondary i{
  box-shadow: 0 0 0 6px var(--secondary-color) inset;
}

.readmore .button.stroke-secondary:hover{
  background-color: var(--white);
  color: var(--primary-color);
}


.readmore .button.stroke.white{
  border-color: rgb(255 255 255 / 50%);
  color: #fff;
}

.readmore .button.bg-white i,
.readmore .button.stroke.white i{
  box-shadow: 0 0 0 6px var(--secondary-color) inset;
}

.readmore .button.stroke.white:hover{
  background: #fff;
  color: var(--body-color);
  border-color: transparent;
}

.readmore .button.inverse:hover{
  background: var(--primary-color);
  color: #fff;
}

.readmore .button.bg-white,
.readmore .button.bg-secondary{
  color: var(--primary-color);
}

.readmore .button.bg-secondary:hover{
  background-color: var(--light) !important;
}

.readmore .button.bg-white:hover{
  background-color: var(--secondary-color) !important;
}

.controls {
  position: absolute;
  width: 110px;
  height: 40px;
  right: 10px;
  bottom: 10px;
  z-index: 9;
}

.controls a {
  position: static;
  display: table;
  width: 100%;
  height: 50px;
  line-height: 50px;
  cursor: pointer;
  text-align: center;
  color: var(--primary-color);
  font-size: 13px;
  border-bottom: 1px solid rgb(0 0 0 / 20%);
  opacity: 1;
}

.controls a:last-child {
  border-bottom: none;
}

.controls a:focus,
.controls a:hover {
  color: var(--primary-color) !important;
  opacity: 1;
}

.multiply{
  mix-blend-mode: multiply;
}

/* custom carousel controls */
button[class^='carousel-control']{
  width: 40px;
  height: 40px;
  top: 50%;
  bottom: auto;
  margin-top: -20px;
  border-radius: 50%;
  background-color: var(--secondary-color);
  opacity: 1;
  transition: all 300ms ease-in-out;
}
button[class^='carousel-control']:hover{
  background-color: var(--primary-color);
}

button.stroke[class^='carousel-control']{
  background-color: transparent;
  border: 1px solid #fff;
}

button.stroke[class^='carousel-control']:hover{
  background-color: var(--white);
}

button.stroke[class^='carousel-control']:hover span{
  filter: invert(1);
}

.carousel-control-next {
  right: 2rem;
}
.carousel-control-prev {
  left: 2rem;
}

.hero-controls {
  position: absolute;
  bottom: 5%;
  display: flex;
  align-items: center;
  gap: 10px;
  z-index: 3;
}

.hero-controls button[class^='carousel-control']{
  position: static;
  margin-top: 0;
}

button[class^='carousel-control'] span{
  background-size: 60%;
}

.carousel-indicators.position-static{
  margin-bottom: 0;
  margin-top: 3rem;
}

.carousel-indicators [data-bs-target]{
  background-color: var(--body-color);
}

.carousel-indicators [data-bs-target].active{
  background-color: var(--primary-color);
}
/* custom carousel controls */

/* custom swiper controls */
.swiper-bottom-controls{
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 2rem;
  gap: 10px;
  z-index: 2;
}

.swiper.has-sm{
  padding: 0 calc(var(--swiper-navigation-size) / 2 - 10px);;
}

div[class^="swiper-button"] {
  --btn-color: var(--primary-color);
  --btn-border: 1px;
  width: 50px;
  height: 50px;
  margin-top: -25px;
  color: var(--btn-color);
  box-shadow: 0 0 0 var(--btn-border) var(--btn-color) inset;
  padding: 15px;
  transition: all 300ms ease-in-out;
}
div[class^="swiper-button"].text-white {
  --btn-color: var(--white);
}

div[class^="swiper-button"].sm{
  width: calc(var(--swiper-navigation-size) / 2 + 5px);
  height: calc(var(--swiper-navigation-size) / 2 + 5px);
  margin-top: calc(0px - (var(--swiper-navigation-size) / 2 - 10px));
  padding: 8px;
}

div[class^="swiper-button"]:hover{
  --btn-color: var(--primary-color);
  --btn-border: 30px;
  color: var(--white);
}
div[class^="swiper-button"].text-white:hover{
  --btn-color: var(--secondary-color);
  color: var(--primary-color) !important;
}

div[class^="swiper-button"].topBtn{
  top: 25%;
}

div[class^="swiper-button"].bottomBtn{
  top: 80%;
}

/* .swiper-button-next, .swiper-rtl .swiper-button-prev{
  right: 0;
}
.swiper-button-prev, .swiper-rtl .swiper-button-next{
  left: 0;
} */

.heading .d-flex{
  gap: 10px;
}

.swiper-control{
  position: static;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 2rem;
  gap: 10px;
}

.swiper-bottom-controls *[class^="swiper-"]:not(.swiper-pagination-progressbar-fill),
.swiper-control *[class^="swiper-"]{
  position: static;
}

.swiper-pagination-progressbar{
  height: 1px !important;
}

.swiper-pagination-progressbar-fill{
  background-color: var(--primary-color) !important;
  height: 300% !important;
  top: -150% !important;
}

.swiper-pagination-fraction .swiper-pagination-current{
  font-size: 1.75rem;
  font-weight: 100;
}

.custom-progress {
  flex-grow: 1;
  height: 1px;
  background: rgb(0 0 0 / 20%);
  overflow: hidden;
}

.custom-progress-bar {
  height: 100%;
  width: 0;
  background: var(--primary-color);
  transition: width 0.4s ease;
}


.swiper-control .swiper-pagination{
  transform: none;
}

.swiper-control .swiper-pagination .swiper-pagination-bullet{
  background-color: var(--primary-color);
}

.swiper-bottom-controls div[class^="swiper-button"],
.swiper-control div[class^="swiper-button"]{
  margin-top: 0;
}

.swiper-pagination-bullet{
  height: auto;
  padding: 10px 0;
  vertical-align: middle;
  background-color: transparent;
  border-radius: 0;
  opacity: 0.25;
}

.swiper-pagination-bullet-active{
  opacity: 1;
}

.swiper-pagination-bullet::before{
  content: '';
  display: block;
  width: 100%;
  height: 1px;
  background-color: #000;
}
.swiper-pagination.white .swiper-pagination-bullet::before{
  background-color: #fff;
}
/* custom swiper controls */


.form-group {
  margin-bottom: 20px;
}

.form-group > label {
  margin-bottom: 0;
  font-size: 13px;
  font-weight: 500;
}

label{
  cursor: pointer;
  font-weight: 500;
  font-size: 13px;
}

.form-control {
  border: none;
  border-bottom: 1px solid rgb(0 0 0 / 16%);
  outline: none;
  padding: 1rem;
  border-radius: 0;
}

.form-control.form-select{
  padding-right: 2.5rem;
}

.form-control[readonly] {
  background-color: transparent;
}
.form-control::placeholder{
  font-size: 13px;
}

textarea.form-control{
  padding: 1rem .75rem;
}

.form-control.form-control-light{
  border-bottom-color: rgb(255 255 255 / 25%);
  color: #fff;
}

.form-control.form-control-light::placeholder{
  color: #8f8f8f;
}

.form-control:focus {
  box-shadow: none;
  border-bottom-color: var(--secondary-color);
  background-color: var(--light);
}

.form-control.form-control-light:focus{
  border-bottom-color: var(--body-bg);
}

.custom-control-inline {
  margin-right: 0;
  padding-left: 0;
  width: 100%;
  display: block;
  position: relative;
}

.custom-control-input {
  position: absolute;
  left: 0;
  z-index: -1;
  width: 1rem;
  height: 1.25rem;
  opacity: 0;
}

.custom-control-label {
  display: block;
  position: relative;
  padding: 13px 10px 13px 2rem;
  background-color: #fff;
  border-bottom: 1px solid rgba(0, 0, 0, 0);
  border-radius: 3px;
  margin-bottom: 0;
  vertical-align: top;
}

.custom-control-label::before {
  position: absolute;
  display: block;
  width: 1rem;
  height: 1rem;
  pointer-events: none;
  content: "";
  background-color: #fff;
  border: 1px solid #adb5bd;
}

.custom-control-label::after {
  position: absolute;
  display: block;
  width: 1rem;
  height: 1rem;
  content: "";
  background: radial-gradient(#fff 50%, transparent 50%) 50% / 50% 50% no-repeat;
}

.custom-control-label::before,
.custom-control-label::after {
  border-radius: 50%;
  top: 15px;
  left: 10px;
}

.custom-control-input:checked ~ .custom-control-label::before {
  background-color: var(--primary-color);
  border-color: var(--primary-color);
}
.custom-control-input:focus ~ .custom-control-label::before {
  box-shadow: 0 0 0 0.2rem rgba(249, 1, 1, 0.25);
}

/* customize modal */
/* Customise modal */
.modal-backdrop.show {
  opacity: 1;
  background-color: rgba(51 51 51 / 80%);
  backdrop-filter: blur(4px);
}

.modal-content {
  box-shadow: 0 8px 32px 0 rgba(0 0 0 / 20%);
  border-radius: 0;
  border-width: 5px;
}

button.close {
  position: absolute;
  right: -20px;
  top: -20px;
  width: 40px;
  height: 40px;
  line-height: 40px;
  text-align: center;
  border-radius: 50%;
  background-color: var(--bs-danger);
  border: 0;
  opacity: 1;
  text-shadow: none;
  z-index: 9;
}

.close:not(:disabled):not(.disabled):focus,
.close:not(:disabled):not(.disabled):hover {
  opacity: 1;
  background-color: #ae0000;
  color: #fff;
}

.modal-body {
  padding: 25px;
  text-align: left;
}

.modal-logo{
	width: 180px;
	margin: 0 auto 2rem;
}

.modal-header{
  background-color: var(--primary-color);
  letter-spacing: 1px;
  border-radius: 0;
}

.modal-body .form-control{
  background-color: rgb(0 0 0 / 5%);
}

.modal-body .form-control:focus{
  background-color: var(--body-bg);
}
/* Customise modal */

.swiper-slide.iconBox{
  height: auto;
}

.iconBox .inner{
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  gap: 1rem;
  padding: 2rem;
  height: 100%;
  background-color: transparent;
  backdrop-filter: blur(4px);
  transition: all 300ms ease-in-out;
  aspect-ratio: 1;
  border: 1px solid var(--primary-color);
}

.iconBox .inner:hover{
  box-shadow: 0 10px 2rem rgb(0 0 0 / 15%);
  background-color: var(--white);
  border-color: transparent;
}

.iconBox .inner .ikon{
  width: 40px;
}
.iconBox .inner .icon{
  width: 60px;
  filter: hue-rotate(275deg);
}


.iconBox .inner .ikon svg{
  fill: var(--primary-color);
}

.decoration-dots {
  display: table;
  width: 56px;
  height: 16px;
}

.list {
  padding-left: 20px;
}

.list li {
  margin-bottom: 10px;
}
.list li::marker{
  color: var(--primary-color);
}

.custom-popover {
  --bs-popover-max-width: 400px;
  --bs-popover-border-color: var(--primary-color);
  --bs-popover-header-bg: var(--secondary-color);
  --bs-popover-header-color: var(--primary-color);
  --bs-popover-body-padding-x: 1rem;
  --bs-popover-body-padding-y: .5rem;
  --bs-popover-border-radius: 0;
  --bs-popover-inner-border-radius: 0;
  font-size: 13px;
}

.popover-header{
  font-family: var(--serif);
  letter-spacing: 1px;
}

/*transformation Animation*/
.leftTranslate {
  -webkit-transform: translate(-100px, 0);
  transform: translate(-100px, 0);
  opacity: 0;
  -webkit-transition: all 700ms ease-in-out;
  transition: all 700ms ease-in-out;
}

.rightTranslate {
  -webkit-transform: translate(200px, 0);
  transform: translate(200px, 0);
  opacity: 0;
  -webkit-transition: all 1000ms;
  transition: all 1000ms;
}

.topTranslate {
  -webkit-transform: translate(0, -200px);
  transform: translate(0, -200px);
  opacity: 0;
  -webkit-transition: all 1000ms;
  transition: all 1000ms;
}

.bottomTranslate {
  -webkit-transform: translate(0, 200px);
  transform: translate(0, 200px);
  opacity: 0;
  -webkit-transition: all 1000ms;
  transition: all 1000ms;
}

.doneTranslate {
  -webkit-transform: translate(0, 0);
  transform: translate(0, 0);
  opacity: 1;
}

.fadeOut {
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
  -webkit-transition: all 1000ms ease-in-out;
  transition: all 1000ms ease-in-out;
}

.fadeIn {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
  -webkit-transition: all 1000ms;
  transition: all 1000ms;
}

.zoomOut{
  transform: scale(0);
  transition: all .8s ease-in-out;
}

.zoomIn{
  transform: scale(1);
}
/*transformation Animation*/

/* svg scroll animation */
[data-svg-draw] path,
[data-svg-draw] line,
[data-svg-draw] polyline,
[data-svg-draw] polygon {
  stroke-dasharray: 0;
  stroke-dashoffset: 0;
}

/* svg scroll animation */


.breadcrumb {
  background-color: transparent;
  border-radius: 0;
  padding-left: 0;
  padding-right: 0;
  font-size: 12px;
  margin-top: 2rem;
  text-align: left;
}

.breadcrumb li {
  display: flex;
  align-items: center;
  gap: var(--bs-breadcrumb-item-padding-x);
}

.breadcrumb li a {
  font-weight: 600;
}

.breadcrumb li a:hover {
  color: var(--secondary-color);
}

.breadcrumb-item+.breadcrumb-item::before {
  content: '';
  height: .125rem;
  width: .125rem;
  padding-right: 0;
  background-color: var(--body-color);
}

.project-line-prop{
  position: absolute;
  left: 2.5%;
  top: 0;
  bottom: 2rem;
  display: flex;
  align-items: center;
  flex-direction: column;
  gap: 1rem;

  & img{
    width: 40px;
  }
}


/* Odometer */
.odometer.odometer-auto-theme .odometer-digit .odometer-digit-inner, .odometer.odometer-theme-minimal .odometer-digit .odometer-digit-inner{
  width: fit-content;
}
/* Odometer */

.date-filter .btn.activeMonth{
  background-color: var(--primary-color);
  color: var(--white);
}

.scroll-here{
  scroll-margin-top: var(--header-height);
}

